$(function() {

    //树形结构
    function treeOpenOrClose() {
        $('.tree li:has(ul)').addClass('parent_li').find(' > span').attr('title', 'Collapse this branch');
        $('.tree li.parent_li > span').on('click', function(e) {
            var children = $(this).parent('li.parent_li').find(' > ul > li');
            if (children.is(":visible")) {
                children.hide('fast');
                $(this).attr('title', 'Expand this branch').find(' > i').addClass('icon-plus-sign').removeClass('icon-minus-sign');
            } else {
                children.show('fast');
                $(this).attr('title', 'Collapse this branch').find(' > i').addClass('icon-minus-sign').removeClass('icon-plus-sign');
            }
            e.stopPropagation();
        });
    }
    treeOpenOrClose();





    // 表格单选框选项卡
    $(document).on('click', '.pure-table  tbody:not(.multipleChoice)  tr', function() {
        $(this).addClass("selected").siblings().removeClass("selected");
        $(this).find(".status").addClass('checked').parent().siblings().find(".status").removeClass('checked');

    })


    /** 多选start*/
    //复选框 选中 取消选中  
    $(document).on('click', '.pure-table tbody.multipleChoice  tr', function() {
        // alert(1)
        if ($(this).hasClass('selected')) {
            $(this).removeClass('selected')
            $(this).find("td:eq(0)").removeClass('checked');
            filterAll()
        } else {
            $(this).addClass("selected");
            $(this).find("td:eq(0)").addClass('checked');
            filterAll()

        }
    });

    //过滤是否全部为选中状态
    function filterAll() {
        var allCheckNum = $(".pure-table tbody.multipleChoice  tr").length;
        console.log("allCheckNum" + allCheckNum)
        var checkedNum = $(".pure-table tbody.multipleChoice  .selected").length;
        console.log("checkedNum " + checkedNum)

        if (allCheckNum == checkedNum) {
            $('.checkall').addClass('checked')
        } else {
            $('.checkall').removeClass('checked')
        }
    }

    //全选 取消全选
    $(".checkall").click(function() {
        if ($(this).hasClass('checked')) {
            $(this).removeClass('checked');
            $(".pure-table tbody.multipleChoice  tr").removeClass("selected")
            $(".pure-table tbody.multipleChoice  tr").find("td:eq(0)").removeClass('checked');
        } else {
            $(".pure-table tbody.multipleChoice  tr").addClass("selected")
            $(".pure-table tbody.multipleChoice  tr").find("td:eq(0)").addClass('checked');
            $(this).addClass('checked');
        }

    });

    /** 多选end*/





    //列表删除功能
    // $(".delete").click(function () {/** 批量删除*/
    //     // alert(1)
    //     $(".pure-table tbody tr.selected").each(function () {// 遍历选中的checkbox
    //         var n = $(this).index();  // 获取checkbox所在行的顺序
    //         delRow(n);
    //         //alert(n)
    //     });
    //     //getListDataAjax(getSearchParamObj());
    // });
    // function delRow(n) {
    //     $(".pure-table tbody").find("tr:eq(" + n + ")").remove(); //移除选中的行
    // }

    //新增模态框
    // $('.xcConfirm').hide()
    // $('.add').click(function () {
    //     $('.xcConfirm').show()
    // })
    // $('.clsBtn,.cancel').click(function () {
    //     //alert(1)
    //     $('.xcConfirm').hide()
    // })
    // $('.handle').click(function () {
    //     $('.xcConfirm.xcConfirm-handle').show()
    // })


})